Name:           libnetfilter_cthelper
Version:        1.0.1
Release:        1
Summary:        Library providing programming interface to the user-space helper infrastructure.
License:        GPLv2
URL:            http://www.netfilter.org/projects/libnetfilter_cthelper/index.html
Source0:        http://www.netfilter.org/projects/libnetfilter_cthelper/files/libnetfilter_cthelper-%{version}.tar.bz2
BuildRequires:  gcc libmnl-devel >= 1.0.0, pkgconfig, kernel-headers
BuildRequires:  make

%description
libnetfilter_cthelper is the userspace library that provides the programming interface to \
the user-space helper infrastructure available since Linux kernel 3.6. With this library, \
you register, configure, enable and disable user-space helpers.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release} libmnl-devel >= 1.0.0 kernel-headers

%description    devel
This package contains libraries and header files for developing applications that use %{name}.

%package        help
Summary:        Usage help documentation for %{name}

%description    help
Connection tracking helpers allows you to filter multi-flow protocols that usually \
separate control and data traffic into different flows. This is the case of \
application protocols like FTP, SIP and H.323 that are already supported by \
Netfilter. These helpers are implemented in kernel-space.

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

%install
%make_install
%delete_la

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%doc COPYING
%{_libdir}/*.so.*
%{_libdir}/*.so

%files devel
%doc examples
%{_libdir}/pkgconfig/*.pc
%dir %{_includedir}/libnetfilter_cthelper
%{_includedir}/libnetfilter_cthelper/*.h

%files help
%doc README


%changelog
* Tue Feb 07 2023 xingwei <xingwei14@h-partners.com> - 1.0.1-1
- Type:requirements
- ID:NA
- SUG:NA
- DESC:update libnetfilter_cthelper to 1.0.1

* Sat Oct 22 2022 gaihuiying <eaglegai@163.com> - 1.0.0-16
- add make as BuildRequires for rpmbuild

* Tue Dec 31 2019 Senlin Xia <xiasenlin1@huawei.com> - 1.0.0-15
- Package Init

